﻿@model List<AttachmentView>

<div id="FilesItems" class="col-md-12">
    <table class="table table-striped">
        <thead>
            <tr>
                <th>@PurchaseOrders.Line  #</th>
                <th>@PurchaseOrders.File </th>
                <th>@PurchaseOrders.Date </th>
                <th>&nbsp;</th>
                <th>&nbsp;</th>
            </tr>
        </thead>
        <tbody>
            @foreach (AttachmentView mFile in Model)
            {
                <tr>
                    <td>@mFile.Line</td>
                    <td>@(mFile.FileName + "." + mFile.FileExt)</td>
                    <td>@((mFile.Date != null && mFile.Date != DateTime.MinValue) ? mFile.Date.ToString().AsDateTime().ToShortDateString() : "")</td>
                    @{
                        string dir = Url.Action("../../images/" + mFile.FileName + "." + mFile.FileExt);
                        <td><a href="@dir" target="_blank" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-circle-arrow-right"></span>@PurchaseOrders.View</a></td>
                    }
                    @if (mFile.Copied != "Y")
                    {
                        <td><a href="#" onclick="DeleteAtt('@mFile.Line');" class="btn btn-primary btn-xs"><span class="glyphicon glyphicon-remove"></span>@PurchaseOrders.Delete</a></td>
                    }
                </tr>
            }
        </tbody>
    </table>

</div>



